LXC 1.1.* is deprecated and so is lxc-clone. Please switch to a newer
LXC version and use lxc-copy. Thanks!

** Changed in: lxc (Ubuntu)
       Status: New => Won't Fix

You received this bug notification because you are a member of Ubuntu
Touch seeded packages, which is subscribed to lxc in Ubuntu.

  lxc-clone fails with no useful information

Status in lxc package in Ubuntu:
  Won't Fix

Bug description:
  root@net8-rmt:~# lsb_release -a
  No LSB modules are available.
  Distributor ID:       Ubuntu
  Description:  Ubuntu 15.10
  Release:      15.10
  Codename:     wily

  root@net8-rmt:~# uname -a
  Linux net8-rmt.bizcooker.com 4.2.0-34-generic #39-Ubuntu SMP Thu Mar 10 
22:13:01 UTC 2016 x86_64 x86_64 x86_64 GNU/Linux

  root@net8-rmt:~# lxc-create --version

  root@net8-rmt:~# lxc-ll
  NAME                   STATE    IPV4        IPV6  GROUPS  AUTOSTART  
  rmt-coachrev-dev       RUNNING  -     -       YES        
  rmt-lightweight-vivid  RUNNING  -     -       YES        
  rmt-mark-dev           RUNNING  -     -       YES        
  rmt-si-main            STOPPED  -           -     -       NO         
  rmt-si-main-precise    RUNNING  -     -       YES        
  rmt-si-main-trusty     STOPPED  -           -     -       NO         
  rmtcenter-dev          RUNNING   -     -       YES        
  rmtcenter-prod         RUNNING  -     -       YES   

  root@net8-rmt:~# lxc-clone -o rmt-si-main-precise -n rmt-si-main-precise-dev
  clone failed

  Clone seems to work when container is stopped, so my guess is
  container requires to be stopped before clone will work.

  Be great if lxc-clone kicked out a message to "clone failed because
  original container is currently running", rather than "clone failed".

To manage notifications about this bug go to:

Mailing list: https://launchpad.net/~touch-packages
Post to     : touch-packages@lists.launchpad.net
Unsubscribe : https://launchpad.net/~touch-packages
More help   : https://help.launchpad.net/ListHelp

Reply via email to